<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title>MM-299: Okahumpka Service Plaza</title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
 </head>
<body><prev>
<font color = "FFFFFF">
<B><center>MM-299: Okahumpka Service Plaza</center></B>
<br>
Okahumpka Service Plaza at Mile Marker 299 - This plaza is located near Wildwood, Florida and services the northbound and southbound travel lanes.<br>
<br>
<B>Contact Info:</B><br>
<I>
Service Station: 352-148-6129<br>
Food Court: 352-399-0251<br>
</I>
<br>

<B>Gas station & Convenience Store: </B><br>
<I>Shell Gasoline<br></I>
<br>

<B>Fuel Types:</B><br>
<I>
Gasoline<br>
Deisel<br>
</I>
<br>

<b>Coffee/Food/Restaurant/Snack:</b><br>
<I>
Dunkin Donuts<br>
KFC<br>
Natures Table<br>
</I>
</font>
</prev>
</body>
</html>
